{ pkgs, config, ... }:
{
  reichardnix = {
    user = {
      enable = true;
      inherit (config.snowfallorg.user) name;
    };

    programs = {
      browsers.firefox = {
        enable = true;
        gpuAcceleration = true;
        hardwareDecoding = true;
      };

      btop.enable = true;
      direnv.enable = true;
      ghostty.enable = true;
      git.enable = true;
      hyprland.enable = true;
      k9s.enable = true;
      nvim.enable = true;
    };
  };

  # Global Packages
  programs.jq.enable = true;
  programs.pandoc.enable = true;
  home.packages = with pkgs; [
    android-tools
    imagemagick
    mosh
    python311
    texliveSmall # Pandoc PDF Dep
    google-cloud-sdk
    tldr
  ];

  # SQLite Configuration
  home.file.".sqliterc".text = ''
    .headers on
    .mode column
  '';

  home.stateVersion = "24.11";
}
